Skip to main content

updateGithubConfiguration

Update a configuration for GitHub integration.

updateGithubConfiguration(
input: UpdateGithubConfigurationInput!
): UpdateGithubConfigurationPayload

Arguments​

updateGithubConfiguration.input ● UpdateGithubConfigurationInput! non-null input​

Parameters for UpdateGithubConfiguration

Type​

UpdateGithubConfigurationPayload object​

Autogenerated return type of UpdateGithubConfiguration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateGithubConfiguration($input: UpdateGithubConfigurationInput!) {\n updateGithubConfiguration(input: $input) { clientMutationId integrationConfiguration { id asset { __typename } createdAt } }\n}","variables":{"input":{"assetId":"<asset_id>","repository":{},"id":"example-id"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute